# TODO
# - rename .spec to python3 if python2 is never to be supported
%define		rel		3
%define		snap	20150608
%define 	module	UM
Summary:	Framework for building 3D printing related applications
Name:		python-%{module}
Version:	0.1
Release:	0.%{snap}.%{rel}
License:	AGPL v3+
Group:		Libraries/Python
Source0:	Uranium-%{snap}.tar.bz2
# Source0-md5:	9772a194ea2dd8f03a5ce17cd8583b88
URL:		https://github.com/Ultimaker/Uranium
BuildRequires:	cmake
BuildRequires:	libstdc++-devel
BuildRequires:	python3-devel
BuildRequires:	rpm-pythonprov
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Uranium framework for building 3D printing related applications.

%package -n python3-%{module}
Summary:	Framework for building 3D printing related applications
Group:		Libraries/Python
Requires:	python3-modules

%description -n python3-%{module}
Uranium framework for building 3D printing related applications.

%prep
%setup -qc
mv Uranium/* .

sed -i -e 's#CMAKE_INSTALL_LIBDIR#CMAKE_INSTALL_DATADIR#g' CMakeLists.txt

%build
install -d build
cd build
%cmake ..
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files -n python3-%{module}
%defattr(644,root,root,755)
%doc README.md
%{py3_sitescriptdir}/%{module}
%{_datadir}/uranium
%changelog
* Wed Sep 16 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-UM.git;a=log;h=master

* Wed Sep 16 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> cc5ed9b
- rel 3

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 59cc3b2
- release 2 (by relup.sh)

* Mon Jun 08 2015 Elan Ruusamäe <glen@delfi.ee> 6e5b694
- update BR, name py3 package with python3- prefix

* Mon Jun 08 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 4371d10
- initial

